Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor VBA
  Inventor Fasen Feature

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Inventor Fasen Feature (92 mal gelesen)
Frank_Schalla
Ehrenmitglied
CAD_SYSTEMBETREUER


Sehen Sie sich das Profil von Frank_Schalla an!   Senden Sie eine Private Message an Frank_Schalla  Schreiben Sie einen Gästebucheintrag für Frank_Schalla

Beiträge: 1666
Registriert: 06.04.2002

DELL M6800
Cad Admin
Methodikentwickler 3D

erstellt am: 09. Sep. 2019 08:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ähh
Ich kann so ziemlich alles abfragen.
Aber bei einer ganz simplen Fase x mal 45 Grad bekomme ich nicht die Länge der selektierten Kante ??
Hat da jemand eine Idee ??

------------------
************************************
 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

metalgod
Mitglied
Technischer Zeichner, Mädchen für alles


Sehen Sie sich das Profil von metalgod an!   Senden Sie eine Private Message an metalgod  Schreiben Sie einen Gästebucheintrag für metalgod

Beiträge: 30
Registriert: 23.09.2015

Win10x64 Prof.
Intel Core i7-8700K
3,70GHz, 16GB Ram
Inventor Prof. 2018 64-Bit
Visual Studio 2015 Express

erstellt am: 09. Sep. 2019 13:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Frank_Schalla 10 Unities + Antwort hilfreich


Fasenkante.jpg

 
Hallo,

wenn ich alles richtig verstanden habe ist es glaube ich sehr schwierig zu realisieren, da die Bezugkante scheinbar nicht mehr existiert. (Zumindest kann ich sie nirgendwo finden) Wenn es nur um einfache Bauteile (mit geraden Flächen) geht, könnte man einen Bezug auf die von der Fase-Feature erzeugte Fläche nehmen, davon sich alle angrenzende Flächen merken und als Schnittergebnis dieser Flächen eine virtuelle Linie kreieren.

Code:
Private Sub Test_KantenLaenge()
    Dim ipt As PartDocument: Set ipt = ThisApplication.ActiveDocument
    Dim cd As PartComponentDefinition: Set cd = ipt.ComponentDefinition
    Dim b As SurfaceBody: Set b = cd.SurfaceBodies(1)

    Dim fA As Face: Set fA = ThisApplication.CommandManager.Pick(kAllPlanarEntities, "Erste Fläche wählen")
    Dim fB As Face: Set fB = ThisApplication.CommandManager.Pick(kAllPlanarEntities, "Zweite Fläche wählen")
    Dim fC As Face: Set fC = ThisApplication.CommandManager.Pick(kAllPlanarEntities, "Erste angrenzende Fläche wählen")
    Dim fD As Face: Set fD = ThisApplication.CommandManager.Pick(kAllPlanarEntities, "Zweite angrenzende Fläche wählen")
   
    Dim tG As TransientGeometry: Set tG = ThisApplication.TransientGeometry

    Dim intLin As Line: Set intLin = tG.SurfaceSurfaceIntersection(fA.Geometry, fB.Geometry)(1)

    Dim pA As Point: Set pA = tG.CurveSurfaceIntersection(intLin, fC.Geometry)(1)

    Dim pB As Point: Set pB = tG.CurveSurfaceIntersection(intLin, fD.Geometry)(1)

    Dim Lng As Double: Lng = pA.DistanceTo(pB) * 10

    Call LinieZeichnenP(pA, pB, "test")

    Call MsgBox("Länge: " & Lng & " mm")
End Sub


------------------
alex

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz